Bug 479101

Summary: SElinux and Kwiki: not done yet
Product: [Fedora] Fedora Reporter: Penelope Fudd <bugzilla.redhat.com>
Component: perl-KwikiAssignee: Steven Pritchard <steve>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 10CC: perl-devel, steve
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-12-18 07:31:30 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Penelope Fudd 2009-01-07 07:21:07 UTC
Description of problem:
I've installed perl-Kwiki-0.39-3.fc9.noarch and found that it only works when I type 'setenforce 0'.  This indicates that the package has not been selinux-ified yet.

Version-Release number of selected component (if applicable):
perl-Kwiki-0.39-3.fc9.noarch

How reproducible:
Always

Steps to Reproduce:
1. Install perl-Kwiki and all related perl-Kwiki-* modules.
2. cd /var/www/html
3. kwiki -new kwiki
4. access it
  
Actual results:
Permission denied.

type=AVC msg=audit(1231312115.429:446): avc:  denied  { create } for  pid=14831 comm="index.cgi" name="pGk5VmnoH1" scontext=unconfined_u:system_r:httpd_t:s0 tcontext=unconfined_u:object_r:httpd_sys_content_t:s0 tclass=file
type=AVC msg=audit(1231312115.429:446): avc:  denied  { write } for  pid=14831 comm="index.cgi" name="pGk5VmnoH1" dev=dm-0 ino=3883227 scontext=unconfined_u:system_r:httpd_t:s0 tcontext=unconfined_u:object_r:httpd_sys_content_t:s0 tclass=file
type=SYSCALL msg=audit(1231312115.429:446): arch=40000003 syscall=5 success=yes exit=28 a0=9a8b03c a1=280c2 a2=180 a3=280c2 items=0 ppid=14470 pid=14831 auid=0 uid=48 gid=48 euid=48 suid=48 fsuid=48 egid=48 sgid=48 fsgid=48 tty=(none) ses=2 comm="index.cgi" exe="/usr/bin/perl" subj=unconfined_u:system_r:httpd_t:s0 key=(null)
type=AVC msg=audit(1231312115.430:447): avc:  denied  { setattr } for  pid=14831 comm="index.cgi" name="pGk5VmnoH1" dev=dm-0 ino=3883227 scontext=unconfined_u:system_r:httpd_t:s0 tcontext=unconfined_u:object_r:httpd_sys_content_t:s0 tclass=file
type=SYSCALL msg=audit(1231312115.430:447): arch=40000003 syscall=15 success=yes exit=0 a0=9a8ac1c a1=180 a2=d5f5ec a3=9a8ac1c items=0 ppid=14470 pid=14831 auid=0 uid=48 gid=48 euid=48 suid=48 fsuid=48 egid=48 sgid=48 fsgid=48 tty=(none) ses=2 comm="index.cgi" exe="/usr/bin/perl" subj=unconfined_u:system_r:httpd_t:s0 key=(null)
type=AVC msg=audit(1231312115.431:448): avc:  denied  { rename } for  pid=14831 comm="index.cgi" name="pGk5VmnoH1" dev=dm-0 ino=3883227 scontext=unconfined_u:system_r:httpd_t:s0 tcontext=unconfined_u:object_r:httpd_sys_content_t:s0 tclass=file
type=SYSCALL msg=audit(1231312115.431:448): arch=40000003 syscall=38 success=yes exit=0 a0=9a8b114 a1=99d6b7c a2=d5f5ec a3=926c008 items=0 ppid=14470 pid=14831 auid=0 uid=48 gid=48 euid=48 suid=48 fsuid=48 egid=48 sgid=48 fsgid=48 tty=(none) ses=2 comm="index.cgi" exe="/usr/bin/perl" subj=unconfined_u:system_r:httpd_t:s0 key=(null)



Expected results:
Not permission denied.

Additional info:

Comment 1 Bug Zapper 2009-11-18 10:41:05 UTC
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Bug Zapper 2009-12-18 07:31:30 UTC
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.